/**********************************************************

ADOBE SYSTEMS INCORPORATED 
Copyright 2005 Adobe Systems Incorporated 
All Rights Reserved 

NOTICE:  Adobe permits you to use, modify, and 
distribute this file in accordance with the terms
of the Adobe license agreement accompanying it.  
If you have received this file from a source 
other than Adobe, then your use, modification,
or distribution of it requires the prior 
written permission of Adobe. 

*********************************************************/

/**********************************************************
 
FlowingAreaText.js

DESCRIPTION

This sample Create a new document and add 3 area TextFrames 
of random sizes and posions to it.
 
**********************************************************/

var docRef = documents.add();
var itemRef1 = docRef.pathItems.rectangle( (Math.random() * 600 + 150), (Math.random() * 400 + 100), (Math.random() * 60 + 40), (Math.random() * 60 + 40));
var textRef1 = docRef.textFrames.areaText(itemRef1);
textRef1.selected = true;

// create 2nd text frame and link it the first
var itemRef2 = docRef.pathItems.rectangle((Math.random() *  600 + 150), (Math.random() *  400 + 100), (Math.random() * 60 + 40), (Math.random() * 60 + 40));
var textRef2 = docRef.textFrames.areaText(itemRef2, TextOrientation.HORIZONTAL, textRef1);
textRef2.selected = true;

// create 3rd text frame and link it the second
var itemRef3 = docRef.pathItems.rectangle((Math.random() *  600 + 150), (Math.random() *  400 + 100), (Math.random() * 60 + 40), (Math.random() * 60 + 40));
var textRef3 = docRef.textFrames.areaText(itemRef3, TextOrientation.HORIZONTAL, textRef2);
textRef3.selected = true;

// Add enough text to the 1st TextFrame to
// cause it to flow to the 2nd and 3rd textFrames
var sText = "This is three text frames linked together as one story, with text flowing from the first to the last";
sText += "The position and size of each item is random.";
textRef1.contents = sText;
redraw();
















